#!/usr/bin/env perl
use Module::Build;

my $home = $ENV{HOME};

my $build = Module::Build->new(
    module_name   => 'LasTres',
    license       => 'AGPLv3',
    dist_author   => 'Sergio Iglesias <contact@owlcode.tech>',
    dist_abstract => 'Juego de L3TDE.',
    requires      => {
        'Mojolicious'                       => 0,
        'Moo'                               => 0,
        'Params::ValidationCompiler'        => 0,
        'Types::Standard'                   => 0,
        'Crypt::URandom'                    => 0,
        'Crypt::Bcrypt'                     => 0,
        'DBIx::Class'                       => 0,
        'DBIx::Class::DeploymentHandler'    => 0,
        'UUID::URandom'                     => 0,
        'Module::Pluggable'                 => 0,
        'Mojo::Redis'                       => 0,
        'List::AllUtils'                    => 0,
        'DateTime::Format::Pg'              => 0,
        'DateTime::Format::ISO8601::Format' => 0,
    },
);
$build->create_build_script;
