package LasTres::Race;

use v5.36.0;

use strict;
use warnings;

use feature 'signatures';

use Moo::Role;

requires qw/spawn identifier name name_selection description is_playable base_stats/;

sub hash($self) {
    return {
        identifier => $self->identifier,
        name => $self->name,
        name_selection => $self->name_selection,
        description => $self->description,
        is_playable => $self->is_playable,
    }
}
1;
