module.exports = {
    env: {
        browser: true,
        es2021: true
    },
    extends: [
        'plugin:react/recommended',
        'standard-with-typescript'
    ],
    overrides: [
    ],
    parserOptions: {
        ecmaVersion: 'latest',
        sourceType: 'module',
        project: 'tsconfig.json'
    },
    plugins: [
        'react',
        'no-relative-import-paths'
    ],
    rules: {
        indent: ['error', 4, { SwitchCase: 1 }],
        'no-relative-import-paths/no-relative-import-paths': ['warn', { allowSameFolder: true }],
        '@typescript-eslint/indent': ['error', 4],
        'react/jsx-indent': ['error', 4],
        'react/jsx-indent-props': ['error', 4]
    },
    settings: {
        'import/resolver': {
            typescript: {
                project: [
                    'tsconfig.json'
                ]
            }
        }
    }
}
